DRM_GEM_CMA_PRIME_VM(9)

NAME
drm_gem_cma_prime_vmap - map a CMA GEM object into the kernel's virtual address space

SYNOPSIS

void * drm_gem_cma_prime_vmap(struct drm_gem_object * obj);

ARGUMENTS

obj
    GEM object

DESCRIPTION

This function maps a buffer exported via DRM PRIME into the kernel's virtual address space. Since the CMA buffers are already mapped into the kernel virtual address space this simply returns the cached virtual address. Drivers using the CMA helpers should set this as their DRM driver's ->gem_prime_vmap callback.

RETURNS

The kernel virtual address of the CMA GEM object's backing store.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT